
unit ComponentsRegistrationUnit;

interface

procedure Register;

implementation

uses
  Classes, Forms,
  UnitFrameMySlide;

type
  TFrameClass = class of TFrame;

procedure RegisterFramesAsComponents(const Page: string; const FrameClasses: array of TFrameClass);
var
  FrameClass: TFrameClass;
begin
  for FrameClass in FrameClasses do
  begin
    RegisterComponents(Page, [FrameClass]);
    RegisterSprigType(FrameClass, TComponentSprig);
  end;
end;

procedure Register;
begin
  RegisterFrameAsComponents('TJJSlider', TMySlide);
end;

end.

